[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# IClassFactory

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class defined for ActiveX compatibility.

## Declaration

Source position: types.pp line 264

`type IClassFactory = interface(IUnknown)`
`function CreateInstance();` |  | Create a new instance of an interface.
`function LockServer();` |  | Lock ActiveX server object.
`end;`

## Inheritance

`IClassFactory` |  | Class defined for ActiveX compatibility.
`IUnknown`
?

## Description

IClassFactory is defined for Delphi/Kylix compatibility and should not be used.

Documentation generated on: Feb 26 2014